      subroutine hec_evth_zebra
c
c read bank EVTH
c
      implicit none
c
c event header EVTH common
c
      include'hec_evth.inc'
c
c zebra common
c
      include'hec_zebra.inc'
c
c local variables
c
      integer ind2
      integer j
      integer ipat
      integer mask
      integer bit
c
c get appropriate index
c
      ind2 = 2*ipointz
c
c for each pattern unit, unpack bits and fill common
c
c pattern unit 1
c
      ipat = iq2(ind2 + 9)
      do j = 1, 16
        lpat_1(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_1(j) = .true.
      enddo
c
c pattern unit 2
c
      ipat = iq2(ind2 + 10)
      do j = 1, 16
        lpat_2(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_2(j) = .true.
      enddo
c
c pattern unit 3
c
      ipat = iq2(ind2 + 11)
      do j= 1, 16
        lpat_3(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_3(j) = .true.
      enddo
c
c pattern unit 4
c
      ipat = iq2(ind2 + 12)
      do j = 1, 16
        lpat_4(j) = .false.
        mask = 2**(j - 1)
        bit = iand(ipat, mask)
        if (bit .ne. 0) lpat_4(j) = .true.
      enddo
c
c     print *,' *** EVTH read'
c
      end
